Skip to main content
GET
/
public
/
v2
/
workflows
/
execution-states
/
{state_id}
/
actions
Get approval actions for execution state
curl --request GET \
  --url https://api.dualentry.com/public/v2/workflows/execution-states/{state_id}/actions/ \
  --header 'X-API-KEY: <api-key>'
[
  {
    "id": 123,
    "workflow_execution_state_id": 123,
    "record_id": 123,
    "record_type": "<string>",
    "approver": {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>"
    },
    "action_type": "<string>",
    "rejection_reason": "<string>",
    "step_name": "<string>",
    "step_order": 123,
    "substep_order": 123,
    "workflow_version": 123,
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

state_id
integer
required

Response

OK

id
integer
required
workflow_execution_state_id
integer | null
required
record_id
integer
required
record_type
string
required
approver
PublicApproverSchemaOut · object
required

Schema for approver information.

action_type
string
required
rejection_reason
string | null
required
step_name
string
required
step_order
integer
required
substep_order
integer | null
required
workflow_version
integer
required
created_at
string<date-time>
required
Last modified on May 28, 2026